@import url('//fonts.googleapis.com/css2?family=Domine:wght@400..700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Domine, 'Times New Roman', Times, serif;
}

body {
    background: black url(../img/bg.jpg) no-repeat center top;
    background-size: cover;
}

.container {
    width: 94%;
    max-width: 1820px;
    margin: 0 auto;
}

h3 {
    color: #ffaf00;
    letter-spacing: 5px;
    font-size: 1.2rem;
    
    em {
        display: block;
        font-style: normal;
        color: #fff;
        font-size: 0.9rem;
        letter-spacing: 1px;
        margin-bottom: 5px;
    }

    span {
        text-transform: uppercase;
        display: block;
        margin-bottom: 2px;
    }
}

p {
    color: #fff;
}

.text-section {
    .copy-block {
        width: 80%;
        max-width: 800px;
        margin: 0 auto 0 auto;

        h3 {
            margin-bottom: 1.8rem;
            
            em {
                display: block;
                font-style: normal;
                color: #fff;
                font-size: 0.9rem;
                letter-spacing: 1px;
                margin-bottom: 5px;
            }
        }
        
        p {
            margin-bottom: 1rem;
            line-height: 1.6rem;
        }
    }
}


header { 
    padding-top: 200px; 
    background: transparent url(../img/bg-section-1.jpg) no-repeat center bottom;
    background-size: cover;

    h1 {
        background: transparent url(../img/title-header.png) no-repeat center center;
        background-size: contain;
        width: 66.66%;
        min-width: 320px;
        max-width: 1271px;
        margin: 0 auto;
        aspect-ratio: 1271 / 652;
        font-size: 1px;
        color: rgba(0,0,0,0);
    }

    p {
        text-align: center;
        padding: 0;
        font-size: 1.9vw; /* 2.5rem; */
        width: 73%;
        margin: 4vw auto 2vw auto;
        letter-spacing: 6px;
        line-height: 2.5vw;
        word-spacing: 6px;
        text-transform: uppercase;

        span {
            display: block;
        }
    }
    .button-wrap {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 95px;
    }

    #below-video {
        h3 {
            text-align: center;
            margin: 60px auto 35px auto;
        }
        
        p {
            text-align: center;
            padding: 0 20px;
            font-size: 0.95rem;
            font-weight: 300;
            letter-spacing: 1.5px;
            line-height: 1.7rem;
            max-width: 900px;
            margin: 0 auto 0 auto;
        }

        a {
            position: relative;
            display: inline-block;
            border-radius: 500px;
            text-align: center;
            font-size: 1.4rem;
            border: 2px solid #ffaf00;
            color: #ffaf00;
            padding: 10px 35px 10px 40px;
            text-decoration: none;
            letter-spacing: 6px;
            text-transform: uppercase;

            &::before, &::after {
                content: '';
                position: absolute;
                width: 14px;
                height: 12px;
                margin-top: -6px;
                transition: all 0.3s ease-in-out;
                background: transparent url(../img/icon-down-arrow.png) no-repeat center center;
                background-size: contain;

            }
            &::before {
                top: 50%;
                left: 10px;
            }
            &::after {
                top: 50%;
                right: 10px;
            }
        }
    }
        
    #video-wrap {
        padding-top: 50px;

        &.playing {
            .vid-frame {
                opacity: 1;
                z-index: 2;
            }
            .vid-link {
                opacity: 0;
                z-index: 1;
            }
        }
    }

    .video-wrap {
        position: relative;
        margin: 0 auto;
        width: 100%;
        max-width: 1500px;
        aspect-ratio: 16 / 9;

        div {
            width: 100%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            transition: all 0.3s ease-in-out;

            a {
                display: block;
                width: 100%;
                height: 100%;
                font-size: 1px;
                color: rgba(0,0,0,0);
                background: transparent url(../img/film-play.png) no-repeat center center;
                background-size: contain;
            }
        }

        .vid-frame {
            opacity: 0;
        }
        .vid-link {
            z-index: 2;
        }
    }
}

main {


    #the-hidden-reality {
        background: transparent url(../img/bg-section-2.jpg) no-repeat center center;
        background-size: cover;
        
        #the-hidden-reality-head {
            width: 100%;
            aspect-ratio: 1920 / 314;
            background: transparent url(../img/slice-1.png) no-repeat center top;
            background-size: cover;
        }

        #the-hidden-reality-foot {
            width: 100%;
            aspect-ratio: 1920 / 61;
            background: transparent url(../img/slice-2.png) no-repeat center bottom;
            background-size: cover;
        }

        #the-hidden-reality-copy {
            padding: 0 0 5vw 0;
        }
    }

    #the-scale-of-suffering {
        background: transparent url(../img/bg-section-3.jpg) no-repeat center top;
        background-size: cover;
        padding-top: 8vw;
        padding-bottom: 17vw;
        min-height: 48.3vw;
        /* aspect-ratio: 1920 / 927; */
    }
    
    #take-action {
        background: transparent url(../img/bg-section-4.png) no-repeat center top;
        background-size: cover;
        padding: 17vw 0 0 0;
        margin-top: -18vw;
        min-height: 38vw;
        /* aspect-ratio: 1920 / 1638; */

        #anonymous-form {
            padding-top: 6vw;
            padding-bottom: 3rem;

            #the-form-wrap {
                position: relative;
                aspect-ratio: 995 / 445;
                border: 2px solid #ffaf00;
                transition: all 0.3s ease-in-out;
                border-radius: 5px;

                &.active {
                    border: 2px solid #fff;
                    box-shadow: 0 0 10px rgba(255,255,0,0.7);
                }

                textarea, a {
                    position: absolute;
                }

                textarea {
                    background: transparent;
                    border: 0;
                    display: block;
                    padding: 10px;
                    width: calc(100% - 50px);
                    height: 100%;
                    top: 0;
                    left: 0;
                    resize: none;
                    color: #fff;

                    &:focus { outline: none !important; }
                }
                
                a {
                    display: block;
                    bottom: 10px;
                    right: 12px;
                    background: transparent url(../img/icon-send.png) no-repeat center center;
                    background-size: contain;
                    width: 35px;
                    height: 35px;
                    font-size: 1px;
                    color: rgba(0,0,0,0);
                }
            }



            #report-error {
                margin-top: 1rem;
                font-size: 1px;
                display: block;
                font-style: normal;
                color: #f82742;
                opacity: 0;
                transition: opacity 0.3s ease-in-out;

                &.error {
                    font-size: 1.2rem;
                    opacity: 1;
                }
            }    
        }
    }
}

#page-shards {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 100%;
    z-index: 4;
    pointer-events: none;
    overflow: hidden;

    .shard {
        position: absolute;
        background-size: contain;
        pointer-events: none;
        /* border: 1px solid greenyellow; */
    }

    #shard0 {
        background: transparent url(../img/shard-0.png) no-repeat top left;
        background-size: contain;
        left: 16.66666667%;
        top: -80px;
        width: 66.66%;
        height: 240px;
    }

    #shard1 {
        background: transparent url(../img/shard-1.png) no-repeat center center;
        background-size: contain;
        left: -60px;
        width: 284px;
        height: 249px;
        transform: translateY(-125px);
    }

    #shard2 {
        background: transparent url(../img/shard-2.png) no-repeat center center;
        background-size: contain;
        left: 0;
        top: 0;
        width: 450px;
        height: 339px;
    }

    #shard3 {
        background: transparent url(../img/shard-3.png) no-repeat top right;
        background-size: contain;
        right: -65px;
        top: 0;
        width: 250px;
        height: 324px;
    }

    #shard4 {
        background: transparent url(../img/shard-4.png) no-repeat top left;
        background-size: contain;
        left: -55px;
        width: 300px;
        height: 386px;
        transform: translateY(-193px);
    }

}

footer {
    padding: 50px 0 0 0;
    background: transparent url(../img/footer.png) no-repeat center bottom;
    background-size: contain;
    aspect-ratio: 1920 / 595;
    
    a {
        display: block;
        background: transparent url(../img/logo-mercy.png) no-repeat center center;
        background-size: contain;
        color: rgba(0,0,0,0);
        padding: 0;
        margin: 50px 0;
        font-size: 1px;
        height: 78px;
    }

    .chicken-wrap {
        display: flex;
        justify-content: center;
        padding: 0 0 4vw 0;

        img { 
            width: 75%;
            max-width: 760px;
            height: auto;
        }
    }
}

#policy-acceptance {
    position: fixed;
    bottom: 0;
}

.hidden {
    display: none;
}

@media screen and (max-width: 1200px) {
    #page-shards {
        #shard0 {
            left: 30px;
            top: -65px;
            height: 200px;
        }
    
        #shard1 {
            left: -35px;
            width: 200px;
            height: 176px;
            transform: translateY(-88px);
        }
    
        #shard2 {
            width: 300px;
            height: 226px;
        }
    
        #shard3 {
            right: -35px;
            width: 160px;
            height: 208px;
        }
    
        #shard4 {
            left: -40px;
            width: 200px;
            height: 258px;
        }
    }
}

@media screen and (max-width: 1024px) {
    header {
        h1 {
        }
        p {
            font-size: 1.4rem;
            line-height: 2.2rem;
            letter-spacing: 2px;
            word-spacing: 2px;
         
            span { 
                display: inline;
            }
        }
        .button-wrap {
            margin-top: 50px;
        }
        a {
            font-size: 1.4rem;
        }
    }
    main {
        p {
            font-size: 1.2rem;
            line-height: 1.8rem;
        }
    }
    footer {
        h2 {
        }
    }
    
}

@media screen and (max-width: 768px) {
    .text-section {
        .copy-block {
            h3 {
                margin-bottom: .8rem;
                font-size: 1rem;
                letter-spacing: 2px;
                
                em {
                    font-size: 0.9rem;
                    letter-spacing: 1px;
                }
            }
            
            p {
                margin-bottom: 1rem;
                font-size: 0.7rem;
                line-height: 1.2rem;
                letter-spacing: 1px;
            }
        }
    }
    
    
    header { 
        padding-top: 50px;

        p {
            font-size: 0.95rem;
            line-height: 1.35rem;
            width: 80%;
            margin: 1.5rem auto 1rem auto;
            letter-spacing: 2px;
            word-spacing: 3px;
        }
    
        #below-video {
            h3 {
                font-size: 0.9rem;
                letter-spacing: 3px;
                margin: 20px auto 25px auto;
            }
            
            p {
                font-size: 0.7rem;
                letter-spacing: 0.5px;
                line-height: 1rem;
                width: 100%;
                margin: 0 auto 0 auto;
            }
    
            a {
                font-size: 0.8rem;
                border: 1px solid #ffaf00;
                letter-spacing: 2px;
                padding: 10px 30px 10px 30px;
                margin-bottom: 1.5rem;
                
                &::before, &::after {
                    width: 9px;
                    height: 8px;
                    margin-top: -4.5px;
                }
            }
        }
            
        #video-wrap {
            padding-top: 25px;
        }
    }
    
    main {
        #the-hidden-reality {
            
            #the-hidden-reality-copy {
                padding: 2rem 0 3rem 0;
            }
        }
    
        #the-scale-of-suffering {
            padding-top: 5rem;
            padding-bottom: 8rem;
        }
        
        #take-action {
            padding: 11rem 0 0 0;
            margin-top: -6rem;
            min-height: 100vw;
            
            p { width: 80%;}
            /* aspect-ratio: 1920 / 1638; */
    
            #anonymous-form {
                padding-bottom: 5rem;
    
                #the-form-wrap {
                    aspect-ratio: 1 / 1.5;
    
                    textarea, a {
                        position: absolute;
                    }
                }
            }
        }
    }
    
    footer {
        a {
            padding: 0;
            margin: 50px 0 100px 0;
            height: 48px;
        }
    }
    
    #page-shards {
        #shard0 {
            left: 11%;
            top: -38px;
            height: 100px;
        }
    
        #shard1 {
            left: -7.5%;
            width: 28%;
        }
    
        #shard2 {
            width: 150px;
            height: 113px;
        }
    
        #shard3 {
            right: -35px;
            width: 130;
            height: 169px;
        }
    
        #shard4 {
            left: -40px;
            width: 130px;
            height: 167px;
        }
    }
}
